/*
 *	spToolItem_Gtk.h
 */

#ifndef __SPTOOLITEM_GTK_H
#define __SPTOOLITEM_GTK_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _spToolItemArchPart {
#if GTK_CHECK_VERSION(3,0,0)
    GdkPixbuf *pixbuf;
    GtkIconSet *icon_set;
    GtkWidget *icon_widget;
    GtkToolItem *item;
#else
    GdkBitmap *bitmap;
    GdkPixmap *insens_pixmap;
#endif
} spToolItemArchPart;

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPTOOLITEM_GTK_H */
