/*
 *	spImageP.h
 */

#ifndef __SPIMAGEP_H
#define __SPIMAGEP_H

#include <sp/spImage.h>

#ifdef __cplusplus
extern "C" {
#endif

    
#if defined(MACOS)
#pragma import on
#endif

extern spBool spImageCreate(spComponent component);
extern void spImageCreateArch(spComponent component);
extern spBool spImageLoadArch(spComponent component, const char *filename);
extern void spDrawImageArch(spComponent component);
extern void spRedrawImageArch(spComponent component);
    
#if defined(MACOS)
#pragma import off
#endif

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPIMAGEP_H */
