/*
 *	spSlider_Gtk.h
 */

#ifndef __SPSLIDER_GTK_H
#define __SPSLIDER_GTK_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif
    
extern void spSetAdjustmentParamsGtk(GtkAdjustment *adjustment, gdouble minimum, gdouble maximum, gdouble value,
				     gdouble increment, gdouble page_increment, gdouble page_size,
				     gdouble factor, spBool track_bar_flag);
#if GTK_CHECK_VERSION(3,0,0)
extern spBool spGetMouseModifierMaskGtk(spComponent component, GdkModifierType *mask);
#endif

extern void spCorrectAdjustmentValueGtk(GtkAdjustment *adjustment, gdouble *value);
    
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPSLIDER_GTK_H */
