#if defined(_WIN32) && !defined(__CYGWIN32__)
#define sp_string_table_utf8jp sp_string_table_sjis
#else

#ifdef __cplusplus
extern "C" {
#endif

static spStringTable sp_string_table_utf8jp[] = {
    {SP_OK_LABEL_ID, "OK"},
    {SP_CANCEL_LABEL_ID, "キャンセル"},
    {SP_YES_LABEL_ID, "はい"},
    {SP_NO_LABEL_ID, "いいえ"},
    {SP_RETRY_LABEL_ID, "再試行"},
    {SP_OPEN_LABEL_ID, "開く"},
    {SP_SAVE_LABEL_ID, "保存"},
    {SP_FILTER_LABEL_ID, "フィルタ"},
    {SP_APPLY_LABEL_ID, "適用"},
    {SP_DIR_LIST_LABEL_ID, "ディレクトリ"},
    {SP_FILE_LIST_LABEL_ID, "ファイル"},
    {SP_FILE_NAME_LABEL_ID, "ファイル名"},
    {SP_FILE_TYPE_LABEL_ID, "ファイルの種類"},

    {SP_INFORMATION_TITLE_ID, "情報"},
    {SP_QUESTION_TITLE_ID, "質問"},
    {SP_WARNING_TITLE_ID, "警告"},
    {SP_ERROR_TITLE_ID, "エラー"},
    {SP_WORKING_TITLE_ID, "処理中"},
    {SP_MESSAGE_TITLE_ID, "メッセージ"},
    {SP_OPEN_TITLE_ID, "開く..."},
    {SP_SAVE_TITLE_ID, "名前を付けて保存..."},
    {SP_DIR_SELECTION_TITLE_ID, "ディレクトリの選択..."},
    {SP_FILE_SELECTION_BUTTON_ID, "選択..."},
    {SP_DIR_SELECTION_BUTTON_ID, "選択..."},
    {SP_FONT_SELECTION_TITLE_ID, "フォントの選択..."},
    {SP_FONT_FAMILY_LABEL_ID, "フォント名:"},
    {SP_FONT_STYLE_LABEL_ID, "スタイル:"},
    {SP_FONT_STYLE_MEDIUM_LABEL_ID, "標準"},
    {SP_FONT_STYLE_ITALIC_LABEL_ID, "イタリック"},
    {SP_FONT_STYLE_OBLIQUE_LABEL_ID, "斜体"},
    {SP_FONT_STYLE_BOLD_LABEL_ID, "太字"},
    {SP_FONT_STYLE_BOLD_ITALIC_LABEL_ID, "太字 イタリック"},
    {SP_FONT_STYLE_BOLD_OBLIQUE_LABEL_ID, "太字 斜体"},
    {SP_FONT_STYLE_LIGHT_LABEL_ID, "細字"},
    {SP_FONT_STYLE_LIGHT_ITALIC_LABEL_ID, "細字 イタリック"},
    {SP_FONT_STYLE_LIGHT_OBLIQUE_LABEL_ID, "細字 斜体"},
    {SP_FONT_STYLE_BLACK_LABEL_ID, "極太"},
    {SP_FONT_STYLE_BLACK_ITALIC_LABEL_ID, "極太 イタリック"},
    {SP_FONT_STYLE_BLACK_OBLIQUE_LABEL_ID, "極太 斜体"},
    {SP_FONT_SIZE_LABEL_ID, "サイズ:"},
    {SP_FONT_SAMPLE_LABEL_ID, "サンプル"},
    {SP_FONT_SAMPLE_CONTENTS_C_ID, "AaBbYyZz"},
    {SP_FONT_SAMPLE_CONTENTS_ID, "Aaあぁアァ亜宇"},
    {SP_COLOR_SELECTION_TITLE_ID, "色の選択..."},
    {SP_PAGE_SETUP_TITLE_ID, "ページ設定"},
    {SP_PAGE_SETUP_PAPER_TITLE_ID, "用紙"},
    {SP_PAGE_SETUP_PAPER_TYPE_ID, "種類:"},
    {SP_PAGE_SETUP_PAPER_SIZE_ID, "サイズ:"},
    {SP_PAGE_SETUP_ORIENTATION_TITLE_ID, "印刷の向き"},
    {SP_PAGE_SETUP_ORIENTATION_PORTRAIT_ID, "縦"},
    {SP_PAGE_SETUP_ORIENTATION_LANDSCAPE_ID, "横"},
    {SP_PAGE_SETUP_MARGIN_TITLE_ID, "余白"},
    {SP_PAGE_SETUP_MARGIN_LEFT_LABEL_ID, " 左:"},
    {SP_PAGE_SETUP_MARGIN_RIGHT_LABEL_ID, " 右:"},
    {SP_PAGE_SETUP_MARGIN_TOP_LABEL_ID, " 上:"},
    {SP_PAGE_SETUP_MARGIN_BOTTOM_LABEL_ID, " 下:"},
    {SP_PAGE_SETUP_PREVIEW_TITLE_ID, "印刷プレビュー"},
    {SP_PAGE_SETUP_MARGIN_WARNING_TITLE_ID, "ページ設定"},
    {SP_PAGE_SETUP_MARGIN_WARNING_MESSAGE_ID, "余白が重なるか，用紙をはみ出します．\n余白のサイズを正しく入力して下さい．"},
    {SP_PRINTER_DIALOG_TITLE_ID, "印刷"},
    {SP_PRINTER_BOX_TITLE_ID, "プリンタ"},
    {SP_PRINTER_NAME_LABEL_ID, "プリンタ名:"},
    {SP_PRINT_RANGE_BOX_TITLE_ID, "印刷範囲"},
    {SP_PRINT_RANGE_ALL_LABEL_ID, "すべて"},
    {SP_PRINT_RANGE_SELECTION_LABEL_ID, "選択した部分"},
    {SP_PRINT_RANGE_CURRENT_LABEL_ID, "現在のページ"},
    {SP_PRINT_RANGE_PAGES_LABEL_ID, "ページ指定"},
    {SP_PRINT_RANGE_FROM_LABEL_ID, "開始:"},
    {SP_PRINT_RANGE_TO_LABEL_ID, "終了:"},
    {SP_PRINT_COPIES_BOX_TITLE_ID, "印刷部数"},
    {SP_PRINT_COPIES_FIELD_LABEL_ID, "部数:"},
    {SP_PRINT_COLLATE_LABEL_ID, "部単位で印刷"},
    {SP_PRINT_DOUBLE_SIDED_LABEL_ID, "両面"},
    {SP_PRINT_DOUBLE_SIDED_TUMBLE_LABEL_ID, "短辺とじ"},
    {SP_PRINT_WARNING_TITLE_ID, "印刷"},
    {SP_PRINT_RANGE_WARNING_MESSAGE_ID, "ページ範囲が正しくありません．"},
    
    {SP_QUIT_QUESTION_TITLE_ID, "終了"},
    {SP_QUIT_QUESTION_MESSAGE_ID, "終了しますか？"},
    {SP_CLOSE_QUESTION_TITLE_ID, "閉じる"},
    {SP_CLOSE_QUESTION_MESSAGE_ID, "閉じますか？"},
    {SP_MODIFY_QUIT_QUESTION_TITLE_ID, "終了"},
    {SP_MODIFY_QUIT_QUESTION_MESSAGE_ID, "ファイルが変更されています．\n終了しますか？"},
    {SP_MODIFY_CLOSE_QUESTION_TITLE_ID, "閉じる"},
    {SP_MODIFY_CLOSE_QUESTION_MESSAGE_ID, "ファイルが変更されています．\n閉じますか？"},
    {SP_OVERWRITE_PROMPT_TITLE_ID, "上書き"},
    {SP_OVERWRITE_PROMPT_MESSAGE_ID, "\"%s\"は既に存在します．\n上書きしますか？"},
    {SP_SAVE_CHANGES_PROMPT_TITLE_ID, "変更の保存"},
    {SP_SAVE_CHANGES_PROMPT_MESSAGE_ID, "\"%s\"を保存しますか？"},
    {SP_NOT_FOUND_FILE_MESSAGE_ID, "そのようなファイルはありません．"},
    {SP_NOT_FOUND_PATH_MESSAGE_ID, "そのようなディレクトリはありません．"},
    {SP_NOT_DIR_MESSAGE_ID, "ディレクトリを指定して下さい．"},
    
    {SP_FILE_MENU_LABEL_ID, "ファイル(&F)"},
    {SP_EDIT_MENU_LABEL_ID, "編集(&E)"},
    {SP_VIEW_MENU_LABEL_ID, "表示(&V)"},
    {SP_WINDOW_MENU_LABEL_ID, "ウィンドウ(&W)"},
    {SP_HELP_MENU_LABEL_ID, "ヘルプ(&H)"},
    {SP_HELP_WITH_NAME_MENU_LABEL_ID, "%sのヘルプ(&p)"},
    
    {SP_NEW_MENU_LABEL_ID, "新規(&N)"},
    {SP_OPEN_MENU_LABEL_ID, "開く(&O)..."},
    {SP_CLOSE_MENU_LABEL_ID, "閉じる(&C)"},
    {SP_SAVE_MENU_LABEL_ID, "保存(&S)"},
    {SP_SAVE_AS_MENU_LABEL_ID, "名前を付けて保存(&A)..."},
    {SP_PAGE_SETUP_MENU_LABEL_ID, "用紙設定(&e)..."},
    {SP_PRINT_MENU_LABEL_ID, "印刷(&P)"},
    {SP_QUIT_MENU_LABEL_ID, "終了(&Q)"},
    {SP_QUIT_WITH_NAME_MENU_LABEL_ID, "%sを終了(&Q)"},
    
    {SP_UNDO_MENU_LABEL_ID, "取り消し(&U)"},
    {SP_REDO_MENU_LABEL_ID, "やり直し(&R)"},
    {SP_CUT_MENU_LABEL_ID, "切り取り(&t)"},
    {SP_COPY_MENU_LABEL_ID, "コピー(&C)"},
    {SP_PASTE_MENU_LABEL_ID, "貼り付け(&P)"},
    {SP_CLEAR_MENU_LABEL_ID, "クリア(&l)"},
    {SP_DELETE_MENU_LABEL_ID, "削除(&D)"},
    {SP_SELECT_ALL_MENU_LABEL_ID, "全て選択(&A)"},
    
    {SP_ABOUT_MENU_LABEL_ID, "このソフトについて(&A)..."},
    {SP_ABOUT_WITH_NAME_MENU_LABEL_ID, "%sについて(&A)"},
    {SP_ABOUT_LABEL_ID, "このソフトについて"},
    {SP_THIS_SOFTWARE_LABEL_ID, "このソフト"},
    
    {SP_PREFERENCE_MENU_LABEL_ID, "設定(&n)..."},
    {SP_SERVICES_MENU_LABEL_ID, "サービス(&S)"},
    {SP_HIDE_WITH_NAME_MENU_LABEL_ID, "%sを隠す(&H)"},
    {SP_HIDE_OTHERS_MENU_LABEL_ID, "他を隠す(&O)"},
    {SP_SHOW_ALL_MENU_LABEL_ID, "すべてを表示(&w)"},
	
    {SP_MINIMIZE_MENU_LABEL_ID, "しまう(&M)"},
    {SP_ZOOM_MENU_LABEL_ID, "拡大／縮小(&Z)"},
    {SP_BRING_ALL_TO_FRONT_MENU_LABEL_ID, "すべてを手前に移動(&B)"},
	
    {"Printer", "プリンタ"},
    {"PostScript Printer", "ポストスクリプトプリンタ"},
    {"PostScript File", "ポストスクリプトファイル"},
    {"Enhanced Meta File", "拡張メタファイル"},
	
    {"Folder exists", "フォルダが存在します"},
    {"A folder with this name already exists.", "このファイル名のフォルダがすでに存在しています．"},
    {"File exists", "ファイルが存在します"},
    {"A file with this name already exists.", "このファイル名のファイルがすでに存在しています．"},
    {"Folder name", "フォルダ名"},
    {"File name", "ファイル名"},
    {"File Types", "ファイルの種類"},
	
    {"Menu", "メニュー"},
	
    {SP_NULL_ID, ""},
};

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif
